Name:           xmltooling
Version:        1.2.2
Release:        3%{?dist}
Summary:        XML signing and encrytion library

Group:          System Environment/Libraries
License:        ASL 2.0
URL:            https://spaces.internet2.edu/display/OpenSAML/XMLTooling-C
Source0:        http://shibboleth.internet2.edu/downloads/opensaml/cpp/2.2.1/xmltooling-%{version}.tar.gz
Patch0:         %{name}-python-cxxtest.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  xml-security-c-devel
#cxxtest is not available in EPEL4.
# so skip it.
%if "%{?rhel}" != "4"
BuildRequires:  cxxtest
%endif
BuildRequires:  log4cpp-devel
BuildRequires:  xerces-c-devel
BuildRequires:  doxygen

%if %{?fedora}%{!?fedora:0} >= 10 || %{?rhel}%{!?rhel:0} >= 6
BuildRequires:  libcurl-devel
%else
BuildRequires:  curl-devel
%endif

# To bring in /usr/share/xml
Requires:       xml-common

# Needed since we are doing and autoreconf
# below.
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  libtool


%description
The XMLTooling library contains generic XML parsing and processing
classes based on the Xerces-C DOM. It adds more powerful facilities
for declaring element- and type-specific API and implementation
classes to add value around the DOM, as well as signing and encryption
support.

%package doc
Group: Documentation
Summary: XML signing and encrytion library documentation
%if %{?fedora}%{!?fedora:0} >= 10 || %{?rhel}%{!?rhel:0} >= 6
BuildArch:      noarch
%endif

%description doc
The XMLTooling library contains generic XML parsing and processing
classes based on the Xerces-C DOM. It adds more powerful facilities
for declaring element- and type-specific API and implementation
classes to add value around the DOM, as well as signing and encryption
support.

This %{name}-doc package contains documentation.

%package devel
Group: System Environment/Libraries
Summary: XML signing and encrytion library development files
Requires: %{name} = %{version}-%{release}

%description devel
The XMLTooling library contains generic XML parsing and processing
classes based on the Xerces-C DOM. It adds more powerful facilities
for declaring element- and type-specific API and implementation
classes to add value around the DOM, as well as signing and encryption
support.

This %{name}-devel package contains header files.


%prep
%setup -q
%patch0 -p1


%build
aclocal 
autoconf
autoheader
automake --add-missing --copy
libtoolize --copy --force

%if "%{?rhel}" == "4"
%configure --without-cxxtest
%else
%configure 
%endif
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# Don't need the unit test executer.
rm -f $RPM_BUILD_ROOT/%{_bindir}/xmltoolingtest

%check
make check


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/*.so.*
%{_datadir}/xml/xmltooling
%doc doc/README.txt doc/LICENSE.txt

%files doc
%defattr(-,root,root,-)
%doc doc/api/html

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}
%{_libdir}/*.so

%changelog
* Mon Oct 19 2009 Steve Traylen <steve.traylen@cern.ch> 1.2.2-3
- Disable cxxtests for EPEL4 only.
* Sat Oct 17 2009 Steve Traylen <steve.traylen@cern.ch> 1.2.2-2
- Change Source URL to be permanent rather than contain "latest"
- Require xml-common to bring in /usr/share/xml
* Mon Oct 5 2009 Steve Traylen <steve.traylen@cern.ch> 1.2.2-1
- First Build

